net.sf.jasperreports.charts.fill

## Class JRFillXySeries

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillXySeries

- All Implemented Interfaces:
    java.lang.Cloneable, JRXySeries, JRCloneable

      public class JRFillXySeries
      extends java.lang.Object
      implements JRXySeries

  Version:
    $Id: JRFillXySeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRXySeries` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillXySeries(JRXySeries xySeries, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected void` | `evaluate(JRCalculator calculator)`
    `protected void` | `evaluateItemHyperlink(JRCalculator calculator)`
    `java.lang.Boolean` | `getAutoSort()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `protected java.lang.String` | `getLabel()`
    `JRExpression` | `getLabelExpression()`
    `protected JRPrintHyperlink` | `getPrintItemHyperlink()`
    `protected java.lang.Comparable<?>` | `getSeries()`
    `JRExpression` | `getSeriesExpression()`
    `protected java.lang.Number` | `getXValue()`
    `JRExpression` | `getXValueExpression()`
    `protected java.lang.Number` | `getYValue()`
    `JRExpression` | `getYValueExpression()`
    `boolean` | `hasItemHyperlinks()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRXySeries parent

  - ### Constructor Detail

    - #### JRFillXySeries

          public JRFillXySeries(JRXySeries xySeries,
                        JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRXySeries`
      Returns:
        a `java.lang.Comparable` object that identifies a certain data series in the overall dataset. It can return different values, which will result in the dataset containing multiple series even when a single `<xySeries>` tag is used inside the `<xyDataset>` tag.

    - #### getXValueExpression

          public JRExpression getXValueExpression()

      Specified by:
        `getXValueExpression` in interface `JRXySeries`
      Returns:
        a numeric expression representing the X value from the (x, y) pair that will be added to the current data series.

    - #### getYValueExpression

          public JRExpression getYValueExpression()

      Specified by:
        `getYValueExpression` in interface `JRXySeries`
      Returns:
        a numeric expression representing the Y value from the (x, y) pair that will be added to the current data series.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRXySeries`
      Returns:
        the label expression. If present, it helps customize the item labels inside charts.

    - #### getAutoSort

          public java.lang.Boolean getAutoSort()

      Specified by:
        `getAutoSort` in interface `JRXySeries`

    - #### getSeries

          protected java.lang.Comparable<?> getSeries()

    - #### getXValue

          protected java.lang.Number getXValue()

    - #### getYValue

          protected java.lang.Number getYValue()

    - #### getLabel

          protected java.lang.String getLabel()

    - #### getPrintItemHyperlink

          protected JRPrintHyperlink getPrintItemHyperlink()

    - #### evaluate

          protected void evaluate(JRCalculator calculator)
                           throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateItemHyperlink

          protected void evaluateItemHyperlink(JRCalculator calculator)
                                        throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRXySeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRXySeries`
      Returns:
        hyperlink specification for chart items

    - #### hasItemHyperlinks

          public boolean hasItemHyperlinks()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com